#include "graphics.h"
#include "stm32f4xx_hal_ltdc.h"

__attribute__((section(".sdram")))
volatile Pixel_t framebuffer[DISPLAY_HEIGHT * DISPLAY_WIDTH];

__attribute__((section(".sdram")))
volatile uint32_t times_changed;

void DisplayTest(uint16_t color)
{
    times_changed++;
    for (uint16_t h = 0; h < DISPLAY_HEIGHT; h++)
    {
        for (uint16_t w = 0; w < DISPLAY_WIDTH; w++)
        {
            framebuffer[(h * DISPLAY_WIDTH) + w] = color;
        }
    }

}